Package javassist.compiler.ast

# Class ArrayInit

java.lang.Object
javassist.compiler.ast.ASTree
javassist.compiler.ast.ASTList
javassist.compiler.ast.ArrayInit

All Implemented Interfaces:
  `Serializable`

public class ArrayInit extends ASTList
Array initializer such as `{ 1, 2, 3 }`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ArrayInit(ASTree firstElement)`
Constructs an object.

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Visitor v)`
Is a method for the visitor pattern.
`String`
`getTag()`
`int`
`size()`
Gets the number of the elements.

### Methods inherited from class javassist.compiler.ast.ASTList

`append, concat, getLeft, getRight, head, length, length, make, setHead, setLeft, setRight, setTail, sublist, subst, tail, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ArrayInit

public ArrayInit(ASTree firstElement)
Constructs an object.

Parameters:
  `firstElement` - maybe null when the initializer is `{}` (empty).

## Method Details

### size

public int size()
Gets the number of the elements. Don't call `ASTList.length()`.

Returns:
  the number of the elements.

### accept

public void accept(Visitor v) throws javassist.compiler.CompileError
Description copied from class: `ASTree`
Is a method for the visitor pattern. It calls `atXXX()` on the given visitor, where `XXX` is the class name of the node object.

Overrides:
  `accept` in class `ASTList`
Throws:
  `javassist.compiler.CompileError`

### getTag

public String getTag()